#pragma once


// CKeyGenDialog ダイアログ

class CKeyGenDialog : public CDialog
{
	DECLARE_DYNAMIC(CKeyGenDialog)

public:
	CKeyGenDialog(CWnd* pParent = NULL);   // 標準コンストラクタ
	virtual ~CKeyGenDialog();

// ダイアログ データ
	enum { IDD = IDD_GENE_KEY };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedKeyBr();
	afx_msg void OnBnClickedCaBr();
	afx_msg void OnBnClickedCsrBr();
	CString m_keyPath;
	CString m_pass1;
	CString m_pass2;
	CString m_caPath;
	CString m_c;
	CString m_st;
	CString m_l;
	CString m_o;
	CString m_ou;
	CString m_cn;
	CString m_mail;
	int m_before;
	int m_after;
	BOOL m_enableCSR;
	CString m_csrPath;
	virtual BOOL OnInitDialog();
};
